<?php

	/** Datei, die die Definition der Klasse Index enthält. */

	/**
	* Klasse, die alle Listen zusammengefasst darstellt. Wird für die Index-Seite benötigt 
	*/
	class Index extends ListElement {
		
		/** @var array Die einzelnen Listen. */
		protected $lists;	
		/** @var int Die ID der Standardpriorität für Artikel. */
		protected $standardPriorityID;	
		
		/**
		* Der Konstruktor
		* @return object Ein Objekt vom Typ Index
		*/ 
		public function __construct() {
			include(ABS_PATH . "dbconnect.php");
			$selectPrefs = '
				SELECT 
					' . DB_TAB_PREFIX . 'prefs.name,
					' . DB_TAB_PREFIX . 'prefs.standardAmount,
					' . DB_TAB_PREFIX . 'prefs.standardMeasureID,
					' . DB_TAB_PREFIX . 'prefs.standardPriorityID
				FROM 
					' . DB_TAB_PREFIX . 'prefs 
				WHERE
					' . DB_TAB_PREFIX . 'prefs.ID = 1';
			$query = mysqli_query($db, $selectPrefs);
			$row = mysqli_fetch_object($query);
			parent::__construct($row->name,NULL);
			$this->lists = NULL;;
			$this->standardAmount = $row->standardAmount;
			$this->standardMeasureID = $row->standardMeasureID;
			$this->standardPriorityID = $row->standardPriorityID;
			$this->indexPage = "index.php";
			$this->editPage = "editIndex.php";
		}
		
		/**
		* Sucht alle Listen und gibt sie inklusive der mit der Funktion statusListEntries ermittelten Informationen zum Status der der Liste zugeordneten ListEntries in einem Array zurück
		* @return array Die in einem Array gespeicherten Listeninformationen
		*/ 
		public function addSubCats(){
			include(ABS_PATH . "dbconnect.php");
			$selectStr = '
				SELECT 
					' . DB_TAB_PREFIX . 'lists.ID
				FROM 
					' . DB_TAB_PREFIX . 'lists 
				ORDER BY 
					sort 
						ASC';
			$query = mysqli_query($db, $selectStr);
			$result = array();
			while($row = mysqli_fetch_object($query)){
				$list = Listing::constructByID($row->ID);
				array_push($result,$list);
			}
			$this->lists = $result; 
		}
		
		/**
		* Getter der Variable $lists
		* @return string Inhalt der Variable $lists.
		*/ 
		public function getLists(){
			return $this->lists;
		}
		
				/**
		* Getter der Variable $standardAmount
		* @return string Inhalt der Variable $standardAmount.
		*/ 
		public function getStandardAmount(){
			return $this->standardAmount;
		}
		
		/**
		* Setter der Variable $standardAmount.
		* @param int $standardAmount Die Standardmenge für neue Artikel.
		* @return void
		*/ 
		public function setStandardAmount($standardAmount){
			$this->standardAmount = $standardAmount;
		}
		
		/**
		* Getter der Variable $standardMeasureID.
		* @return string Inhalt der Variable $standardMeasureID.
		*/ 
		public function getStandardMeasureID(){
			return $this->standardMeasureID;
		}
		
		/**
		* Setter der Variable $standardMeasureID.
		* @param int $standardMeasureID Die ID des Standardmaßes für neue Artikel.
		* @return void
		*/ 
		public function setStandardMeasureID($standardMeasureID){
			$this->standardMeasureID = $standardMeasureID;
		}
		
		/**
		* Getter der Variable $standardPriorityID.
		* @return string Inhalt der Variable $standardPriorityID.
		*/ 
		public function getStandardPriorityID(){
			return $this->standardPriorityID;
		}
		
		/**
		* Setter der Variable $standardPriorityID.
		* @param int $standardPriorityID Die ID der Standardpriorität für neue Artikel.
		* @return void
		*/ 
		public function setStandardPriorityID($standardPriorityID){
			$this->standardPriorityID = $standardPriorityID;
		}
		

		/**
		* Ändert den Namen des Indexes.
		* @param string $newName Der neue Name.
		* @return void
		*/
		public function rename($newName){
			include(ABS_PATH . "dbconnect.php");
			$updateStr = '
				UPDATE 
					' . DB_TAB_PREFIX . 'prefs
				SET 
					name = "' . $newName . '"
				WHERE 
					ID = 1';
			mysqli_query($db, $updateStr);
		}
		
		/**
		* Ändert die Standardeinstellungen für neue Artikel in der Datenbank.
		* @param int $newStandardPriorityID Die neue Standardpriorität für Artikel.
		* @return void
		*/
		public function updateArticleStandards(){
			include(ABS_PATH . "dbconnect.php");
			$updateStr = '
				UPDATE 
					' . DB_TAB_PREFIX . 'prefs
				SET 
					standardAmount = "' . $this->getStandardAmount() . '",
					standardMeasureID = "' . $this->getStandardMeasureID() . '",
					standardPriorityID = "' . $this->getStandardPriorityID() . '"
				WHERE 
					ID = 1';
			mysqli_query($db, $updateStr);
		}
}
?>