<?php
	/** Datei, die die Definition der Klasse Measure enthält. */
	
	/** 
	* Klasse zur Erstellung von Objekten des Typs Measure 
	*/
	
	class Measure extends SortableListElement	{ // Artikel samt Bezeichnung
	
	
		/**
		* Der Konstruktor
		* @param int $ID Die ID des Objektes.
		* @param string $name Der Name.
		* @param int $sort Die Platzierung des Objektes in der Reihenfolge aller sortierbaren Maßeinheiten.
		*/
		public function __construct($ID,$name,$sort) {
			include(ABS_PATH . "dbconnect.php");
			parent::__construct($ID,$name,NULL,$sort);
			$this->table = DB_TAB_PREFIX . 'measures';
			$this->prefix = "measure";
		}
		
		/**
		* Konstruiert ein Objekt auf der Basis seiner ID
		* @param int $ID Die ID des Objektes.
		* @return object Ein Objekt vom Typ Measure.
		*/ 	
		public function constructByID($ID){
			include(ABS_PATH . "dbconnect.php");
			$selectStr = 'SELECT 
				' . DB_TAB_PREFIX . 'measures.name,
				' . DB_TAB_PREFIX . 'measures.sort 
			FROM 
				' . DB_TAB_PREFIX . 'measures 
			WHERE 
				ID LIKE ("' . intval($ID) . '")';
			$query = mysqli_query($db, $selectStr);
			if (mysqli_num_rows($query) > 0){
				$row = mysqli_fetch_object($query);
				return new Measure($ID,$row->name,$row->sort);
			}
			return NULL;
		}
		
		/**
		* sortiert eine Subkategorie in der Reihenfolge um eins nach unten
		* @return void
		*/
		public function sortDown(){
			parent::sortDown_wp(NULL);
		}
		
		/**
		* sortiert eine Subkategorie in der Reihenfolge um eins nach oben
		* @return void
		*/
		public function sortUp(){
			parent::sortUp_wp(NULL);
		}
		
		/**
		* prüft, ob ein Wert bereits als Name in der Datenbank existiert existiert, und gibt entsprechend true oder false zurück.
		* Für diese Funktion müssen die Eigenschaften table und name implementiert sein.
		* @param string $name Der Name, der auf Existenz geprüft werden soll.
		* @return bool Das Ergebnis, ob der Name bereits in der Datenbank existiert.
		*/
		public function nameAlreadyExists($name){
			return parent::nameAlreadyExists_wsa($name,"");
		}
		
		/**
		* fügt der in den Objekteigenschaften genannten $table einen weiteren Datenbankeintrag hinzu und passt die Sortierung entsprechend an.
		* Für die korrekte Funktion muss die Eigenschaft $table definiert sein.
		* @return void
		*/
		public function addToDB(){
			$updateStr = "
				UPDATE " .
					$this->table . "
				SET 
					sort = sort+1 
				WHERE 
					sort >= " . $this->sort; // Platz für die Liste schaffen			
			
			$insertStr = '
				INSERT INTO ' .
					$this->table . '
				SET
					name = "' . $this->name . '", 
					sort = ' . $this->sort;	
			return parent::addToDB_wp($updateStr,$insertStr,"","");
		}
		
		/**
		* aktualisiert den entsprechenden Datenbankeintrag.
		* @return void
		*/
		public function updateDB(){
			$updateStr = '
				UPDATE 
					' . DB_TAB_PREFIX . 'measures 
				SET 
					name =' . $this->addBracketsIfNotNULL($this->name) . ',
					sort = ' . $this->addBracketsIfNotNULL($this->sort) . ' 
				WHERE 
					' . DB_TAB_PREFIX . 'measures.ID = ' . $this->ID;
			parent::updateDB_wp($updateStr,NULL,NULL);
		}
		
		/**
		* entfernt das Objekt aus der in den Objekteigenschaften genannten $table
		* @return void
		*/
		public function deleteFromDB(){
			// sorgt dafür, dass zusätzlich die Kategorien der Liste gelöscht werden.
			$updateStr = '
				UPDATE
					' . DB_TAB_PREFIX . 'measures
				SET 
					sort = sort-1 
				WHERE 
					sort >= ' . $this->sort; 
			
			$strArray = array();
			// Lösche die Zuordnung der Artikel zu der entsprechenden Kategorie (nicht die Artikel selbst!) 
			$deleteMeasure = '
				DELETE FROM 
					' . DB_TAB_PREFIX . 'measures
				WHERE
					ID = ' . $this->ID; 
			array_push($strArray,$deleteMeasure);
			parent::deleteFromDB_wp($updateStr,NULL,NULL,$strArray);
		}
	}
?>