<?php
	/** Datei, die die Definition der Klasse MeasurePage enthält. */
	/** 
	* Klasse zur Erstellung der Measure-Seite
	*/
	class MeasurePage extends Page{
		/**
		* Der Konstruktor
		* @param object $measure Das Measure-Objekt.
		* @param string $mode Der Seitenmodus. Mögliche Werte: "default" für eine Standardseite und "edit" für eine Bearbeitungsseite.
		* @return object Ein Objekt vom Typ MeasurePage.
		*/ 
		public function __construct($measure,$mode) {
			parent::__construct($measure->getName(),$mode);
			$this->containsDeletableItems = true;
			$this->indexPage = "editMeasure.php";
			$this->editPage = "editMeasure.php?ID=" . $measure->getID();
			$this->editPageSubkat = "editMeasure.php";
			$this->headerIcons = $this->getHeaderIcons();
		}
		
		
		/**
  		* gibt Head, Header und Seitentitel (<h1>) zurück und leitet die Ausgabe des eigentlichen Seiteninhaltes ein. Das mit dieser Funktion eingeleitete Markup kann abschließend mit der Funktion end() geschlossen werden.
		* @return string
 		*/	 
		public function start(){
			return parent::start_wp("");
		}
		
		/**
		* Liefert die Informationen zu den Icons, die mit dem Header ausgegeben werden sollen.
		* Standardmäßig werden der Link zur Index-Seite und, falls die Eigenschaft "editPage" gesetzt ist, ggf. das Bearbeitungs- oder das Lösch-Icon angezeigt. Das Bearbeitungsicon erscheint, wenn es sich nicht um eine Bearbeitungsseite handelt. Das Löschicon erscheint auf der Bearbeitungsseite, sofern die Eigenschaft "containsDeletableItems" true gesetzt ist.
		* @return array Array mit den Icon-Angaben
		*/
		protected function getHeaderIcons(){	
			return parent::getHeaderIcons_wp(NULL,NULL);
		}
	}
?>