<?php

	/** Datei, die die Definition der Klasse SortableListElement enthält. */
	
	/**
	Objekte, die sich sortieren lassen
	*/
	class SortableListElement extends ListElement{
		/** @var int Die ID des sortierbaren Listenelementes. */		
		protected $ID;
		/** @var int Die Platzierung des Obkjektes in der Reihenfolge aller sortierbaren Listenelemente. */		
		protected $sort;
		
		/**
		* Der Konstruktor
		* @param int $ID Die ID des Objektes.
		* @param string $name Der Name.
		* @param string $annotation Die Anmerkung.
		* @param int $sort Die Platzierung des Objektes in der Reihenfolge aller sortierbaren Listenelemente.
		* @return object Ein Objekt vom Typ SortableListElement.
		*/ 
		function __construct($ID,$name,$annotation,$sort) {
			parent::__construct($name,$annotation);
			$this->ID = $ID;
			$this->sortable = true;
			$this->sort = $sort;
		}
		
		/**
		* Setter der Variable $ID
		* @param int $ID Die ID
		* @return void
		*/ 
		public function setID($ID){
			$this->ID = $ID;
		}

		/**
		* Getter der Variable $ID
		* @return int Inhalt der Variable $ID.
		*/ 
		function getID(){
			return $this->ID;
		}
		
		/**
		* Setter der Variable $sort
		* @param int $sort Die Variable sort
		* @return void
		*/ 
		public function setSort($sort){
			$this->sort = $sort;
		}

		/**
		* Getter der Variable $sort
		* @return int Inhalt der Variable $sort.
		*/ 
		function getSort(){
			return $this->sort;
		}
		
		/**
		* prüft, ob ein Wert bereits als Name in der Datenbank existiert existiert, und gibt entsprechend true oder false zurück.
		* Für diese Funktion müssen die Eigenschaften table und name implementiert sein. Sie sollte in den Kindklassen so implementiert werden, dass sie lediglich mit dem Parameter $name aufgerufen werden kann.
		* @param string $name Der Name, der auf Existenz geprüft werden soll.
		* @param string $searchAddon Ein Teilstring, der an den SelectString für die Datenbankabfrage angehängt werden kann.
		* @return bool Das Ergebnis, ob der Name bereits in der Datenbank existiert.
		*/
		public function nameAlreadyExists_wsa($name,$searchAddon){
			include(ABS_PATH . "dbconnect.php");
			// prüft, ob ein Wert bereits als Name in der Datenbank existiert existiert
			$selectStr = "SELECT * FROM " .  $this->table . " WHERE name LIKE '" . $name . "'" . $searchAddon;
			$query = mysqli_query($db, $selectStr);
			if (mysqli_num_rows($query) > 0){
				return true;
			}
			return false;
		}
		
		/**
		* fügt der in den Objekteigenschaften genannten $table einen weiteren Datenbankeintrag hinzu und passt die Sortierung entsprechend an
		* @param string $updateStr Der String zur Neusortierung, die durch das folgende Einfügen eines neuen Objektes notwendig ist. Achtung: Die Neusortierung erfolgt nur, falls das Objekt die Eigenschaft sortable hat.
		* @param string $insertStr Der String zur Einfügung des Objektes in die als "table" definierte MySQL-Tabelle. Falls leer, wird nur der Name in die entsprechende Tabelle eingetragen. 
		* @param string $annotationStr Der String zur Einfügung entsprechender Anmerkungen in die Tabelle, die als Objekteigenschaft "tableAnnotation" eingetragen ist. Wird nur ausgeführt, wenn die Eigenschaft "tableAnnotation" definiert ist und für das Objekt auch tatsächlich eine "annotation" als Eigenschaft eingetragen ist.
		* @param array $strArray Ein Array aus Strings mit optionalen, zusätzlichen MySQL-Befehlen, die abschließend ausgeführt werden. Falls nur ein Befehl übermittelt werden soll, kann der Parameter auch vom Typ String sein.
		* @return void
		*/
		public function addToDB_wp($updateStr,$insertStr,$annotationStr,$strArray){
			if ($updateStr == ""){ // wenn von der Childfunktion kein anderer $updateStr übermittelt worden ist
				$updateStr = "
					UPDATE " .
						$this->table . "
					SET 
						sort = sort+1 
					WHERE 
						sort >= " . $this->sort; // Platz für die Liste schaffen
			}
			
			if ($insertStr == ""){ // wenn von der Childfunktion kein anderer $insertStr übermittelt worden ist 
			$insertStr = "
					INSERT INTO " .
						$this->table . "
					SET
						name = '" . $this->name . "', 
						sort = " . $this->sort;
			}
			parent::addToDB_wp($updateStr,$insertStr,$annotationStr,$strArray);
		}
		
		
		/**
		* entfernt das Objekt aus der in den Objekteigenschaften genannten $table
		* @param string $updateStr Der String zur Neusortierung, die durch die Löschung des Objektes notwendig ist. Achtung: Die Neusortierung erfolgt nur, falls das Objekt die Eigenschaft sortable hat.
		* @param string $deleteStr Der String zur Löschung des Objektes aus der als "table" definierten MySQL-Tabelle. Falls leer, ist die ID das einzige Kriterien zur Löschung aus der $table.
		* @param string $annotationStr Der String zur Löschung entsprechender Anmerkungen aus der Tabelle, die als Objekteigenschaft "tableAnnotation" eingetragen ist. Wird nur ausgeführt, wenn die Eigenschaft "tableAnnotation" definiert ist und für das Objekt auch tatsächlich eine "annotation" als Eigenschaft eingetragen ist.
		* @param array $strArray Ein Array aus Strings mit optionalen, zusätzlichen MySQL-Befehlen, die abschließend ausgeführt werden.
		* @return void
		*/
		public function deleteFromDB_wp($updateStr,$deleteStr,$annotationStr,$strArray){
			if (empty($updateStr)){
				$updateStr = "
					UPDATE " .
						$this->table . "
					SET 
						sort = sort-1 
					WHERE 
						sort >= " . $this->sort; // Sortierung aufrücken
			} 
			parent::deleteFromDB_wp($updateStr,$deleteStr,$annotationStr,$strArray);
		}
		
		
		/**
		* sortiert eine Subkategorie in der Reihenfolge um eins nach oben.
		* @param array $updateStrArray Die notwendigen MySQL-Update-Anweisungen als Array.
		* @return void
		*/		
		public function sortUp_wp($updateStrArray){
			include(ABS_PATH . "dbconnect.php");
			if (is_null($updateStrArray) AND $this->table != ""){
				// Subkategorie, die bislang direkt vorangestellt war, eins nach unten stufen
				$updateStr = "UPDATE " . $this->table . " SET sort = sort+1 WHERE sort = " . ($this->sort-1);
				mysqli_query($db, $updateStr);

				// zu ändernde Subkategorie nach oben schieben
				$updateStr = "UPDATE " . $this->table . " SET sort = sort-1 WHERE ID = " . $this->ID; // Sortierung aufrücken
				mysqli_query($db, $updateStr);
			} else {
				foreach ($updateStrArray AS $updateStr){
					 mysqli_query($db,$updateStr);
				}
			}
		}
		
		/**
		* sortiert eine Subkategorie in der Reihenfolge um eins nach unten
		* @param array $updateStrArray Die notwendigen MySQL-Update-Anweisungen als Array.
		* @return void
		*/
		public function sortDown_wp($updateStrArray){
			include(ABS_PATH . "dbconnect.php");
			if (is_null($updateStrArray) AND $this->table != ""){
				// Subkategorie, die bislang direkt nachgestellt war, eins nach oben stufen
				$updateStr = "UPDATE " . $this->table . " SET sort = sort-1 WHERE sort = " . ($this->sort+1);
				mysqli_query($db, $updateStr);
				
				// zu ändernde Subkategorie nach unten schieben
				$updateStr = "UPDATE " . $this->table . " SET sort = sort+1 WHERE ID = " . $this->ID; // Sortierung aufrücken
 				mysqli_query($db, $updateStr);
			} else {
				foreach ($updateStrArray AS $updateStr){
					mysqli_query($db,$updateStr);
				}
			}
		}
		
	}
?>