<?php
	/** Datei zur Bearbeitung eines Articles. */
	/** Datei zur Bearbeitung eines Articles. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
 	include(ABS_PATH . "functions.php");
 	if (isset($_POST['formular'])){
	 	$formular = mysqli_real_escape_string($db, $_POST['formular']);
 	} else {
 		$formular = NULL;
 	}
 	if (isset($_GET['ID'])){
	 	$articleID = intval($_GET['ID']);
 	} else {
 		$articleID = NULL;
 	}
 	if (isset($_GET['catID'])){
	 	$catID = intval($_GET['catID']);
 	} else {
 		$catID = NULL;
 	}
 	$article =  Article::constructByID($articleID);
 	if ($article != NULL){
	 	$article->setCatID($catID);
 	}
 	
 	if(isset($_POST['newCatID']) && !empty($_POST['newCatID'])){
	 	$newCat = Category::constructByID(intval($_POST['newCatID']));
	 	$newCat->addSubCats();
 	} else {
 		$newCat = NULL;
 	}
 	
 	if(isset($_POST['article_buyEvery'])){
	 	$buyEvery = Main::escapeArray($_POST['article_buyEvery']);
 	} else {
 		$buyEvery = NULL;
 	} 	
 	
 	$page = new ArticlePage($article,"edit");
 	$searchScript = '<script src="jquery-3.3.1.min"></script>
		<script src="bootstrap.min.js"></script>
		<script src="typeahead.min.js"></script>
		<script>' . 
		'var articleID = "' . $articleID . '";' .
		'$(document).ready(function(){' .
			'$(\'input.typeahead\').typeahead({' .
				'name: \'typeahead\',' .
				'remote:\'search.php?key=%QUERY&mode=convertArticle&articleID=\' + articleID,' . 
				'limit : 10' .
			'});' . 
		'});' .
	'</script>';

	if (!empty($_POST['barcodesSerialized'])){
		$barcodes = Main::stringToArray($_POST['barcodesSerialized']);
		$barcodes = Main::escapeArray($barcodes);
	} else {
		if (isset($_POST['barcodes'])){
			$barcodes = Main::escapeArray($_POST['barcodes']);
		} else {
			$barcodes = NULL;
		}
	}
	if ($formular == "editArticleAssignment" OR $formular == "removeCat"){
		$catIDs = Main::escapeArray($_POST['catIDs']);
	}
	if (!empty($_POST['article_standardMeasureSerialized'])){
		$standardMeasure = Main::stringToArray($_POST['article_standardMeasureSerialized']);
		$standardMeasure = Main::escapeArray($standardMeasure);
		$standardMeasureID = $standardMeasure['ID'];
		$standardMeasureName = $standardMeasure['name'];
	} else{
		$standardMeasureID = NULL;
		$standardMeasureName = NULL;
	}
	
	if (!empty($_POST['article_standardPrioritySerialized'])){
		$standardPriority = Main::stringToArray($_POST['article_standardPrioritySerialized']);
		$standardPriority = Main::escapeArray($standardPriority);
		$standardPriorityID = $standardPriority['ID'];
		$standardPriorityName = $standardPriority['name'];
	} 

	echo $page->start(array($searchScript)); 	

		switch($formular) {
			default:
			case "dontDelete":
				echo $page->editArticle("Grundlegende Einstellungen",$article,"article","update",$page->getContentIndent()) .
				$page->editArticleAssignment("Kategoriezuordnung bearbeiten",$article,"removeCat","addCat",$page->getContentIndent()) .
				$page->editConvertToArticle("Artikel nach dem Löschen in folgenden Artikel umwandeln",$article,$page->getContentIndent()) .
				$page->editBarcodes("Barcodes bearbeiten",$article,"deleteBarcodes","addBarcode",$page->getContentIndent());
				break;
			case "removeCat":
				$article->removeCatIDs($catIDs);
				$article->updateDB();
				echo $page->goToPage("");
				break;
			case "addCat":
				if (is_null($newCat)){
					echo $page->goBack("Bitte wählen Sie eine Rubrik aus, die Sie neu zuordnen möchten.",array("article" => Main::objectToString($article)),"","","",$page->getContentIndent());
				} else {
					echo '<p>An welcher Position möchten Sie den Artikel der Kategorie <q>' . $newCat->getName() . ' hinzufügen?</p>';
					echo $page->selectPositionInCat(NULL,$article,$newCat,$page->getContentIndent());
				}
				
				break;
			case "addSubCatPos";
				$article->addNewCat($newCat->getID(),$newCat->getName(),intval($_POST['article_sort']),$newCat->getListName());
				$article->updateDB();
				echo $page->goToPage("");
				break;
			case "deleteBarcodes":
				if (count($barcodes) > 1){
					$snippet = 'der Barcodes <q>' . implode("</q>, <q>",$barcodes) . "</q>";
				} else {
					$snippet = 'des Barcodes <q>' . $barcodes[0] . "</q>";
				}
				echo $page->checkBeforeDeletion('Möchten Sie die Zuordnung ' . $snippet . ' zu dem Artikel <q>' . $article->getName(). '</q> wirklich löschen?',"Mit Löschung der Zuordnung wird auch der entsprechende Barcode gelöscht.","deleteBarcodesChecked",NULL,array("barcodesSerialized" => Main::arrayToString($barcodes)),NULL,$page->getContentIndent());
				break;
			case "deleteBarcodesChecked":
				$article->removeBarcodes($barcodes);
				$article->updateDB();
				echo $page->goToPage("editArticle.php?ID=" . $article->getID() . "&catID=" . $catID);
				break;
			case "addBarcode";
				$newBarcode = mysqli_real_escape_string($db, $_POST['newBarcode']);
				$article->addBarcode($newBarcode);
				$article->updateDB();
				echo $page->goToPage("editArticle.php?ID=" . $article->getID() . "&catID=" . $catID);
				break;
			case "update":
				$article->setName(mysqli_real_escape_string($db, $_POST['article_name']));
				$article->setAnnotation(mysqli_real_escape_string($db, $_POST['article_annotation']));
				$article->setNextBuy(mysqli_real_escape_string($db, $_POST['article_nextBuy']));
				$article->setIntervalInDays(mysqli_real_escape_string($db, $_POST['article_intervalInDays']));
				$article->setAddToListXDaysBefore(mysqli_real_escape_string($db, $_POST['article_addToListXDaysBefore']));
				$article->setSetToUrgentXDaysBefore(mysqli_real_escape_string($db, $_POST['article_setToUrgentXDaysBefore']));
				$article->setStandardAmount(mysqli_real_escape_string($db, $_POST['article_standardAmount']));
				$article->setStandardMeasureID(mysqli_real_escape_string($db, $standardMeasureID));
				$article->setStandardListEntryAnnotation(mysqli_real_escape_string($db, $_POST['article_standardListEntryAnnotation']));
				$article->setStandardPriorityID($standardPriorityID);
				$article->setBuyEvery($buyEvery);
				$article->reexamineNextBuyDate();
				$article->updateDB();
				echo $page->goToPage("editArticle.php?ID=" . $article->getID() . "&catID=" . $catID);
				break;
			case "delete":
				if ($article->hasCorrespondingListEntries()){
 					echo $page->cannotBeDeleted($page->getContentIndent());
 				} else {
					echo $page->checkBeforeDeletion("Möchten Sie diesen Artikel wirklich löschen?","Mit dem Artikel werden auch alle vorherigen Käufe sowie die zugeordneten Barcodes aus der Historie entfernt.",NULL,NULL,NULL,NULL,$page->getContentIndent());
 				}
				break;
			case "deleteChecked":
				$article->deleteFromDB();
				if ($catID == 0){
					$URL = "index.php";
				} else {
					$URL = "editCategory.php?ID=" . $catID;
				}
				echo $page->goToPage($URL);
				break;
			case "convertToArticle":
				if (!empty($_POST['convertToArticle'])){
					$articleToConvertInto = $page->selectArticleToConvertInto(mysqli_real_escape_string($db, $_POST['convertToArticle']));
					$article->setConvertToArticleID($articleToConvertInto->getID());
				} else {
					$article->setConvertToArticleID(NULL);
				}
				$article->updateDB();
				echo $page->goToPage("editArticle.php?ID=" . $article->getID() . "&catID=" . $catID);
				break;
		}
				
	echo $page->end();
	?>