<?php	
	/** Datei zum Bearbeiten einer Kategorie. */
	/** Datei zum Bearbeiten einer Kategorie. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");

	$category = Category::constructByID(intval($_GET['ID']));
	$category->addSubCats();

	$page = new CategoryPage($category,"edit");
	$list = Listing::constructByID($category->getListID());
	$articles = $category->getArticles();
	$nameNotSet = false;
	$nameAlreadyExists = false;
	/* Variablendefinition */	

	if (isset( $_POST['formular'])){
		$formular = mysqli_real_escape_string($db, $_POST['formular']);
	} else {
		$formular = NULL;
	}
	
	if (isset($_POST['article_ID'])){
		$articleID = intval($_POST['article_ID']);
	} else {
		$articleID = NULL;
	}

	if (isset($_POST['article_name'])){
		$articleName = mysqli_real_escape_string($db, $_POST['article_name']);
	} else {
		$articleName = NULL;
	}
	
	if (isset($_POST['newName'])){
		$newName = mysqli_real_escape_string($db, $_POST['newName']);
		if ($newName == ""){
			$nameNotSet = true;
		} else {
			if ($category->nameAlreadyExists($newName)){
				$nameAlreadyExists = true;
			} else {
				$category->setName($newName);
			}
		}
	}

	if (isset($_POST['article_sort'])){
		$articleSort = intval($_POST['article_sort']);
	} else {
		$articleSort = NULL;
	}

	if (isset($_POST['article_annotation'])){
		$articleAnnotation = mysqli_real_escape_string($db, $_POST['article_annotation']);
	} else {
		$articleAnnotation = NULL;
	}

	if (isset($_POST['article_firstBuy'])){
		$articleFirstBuy = mysqli_real_escape_string($db, $_POST['article_firstBuy']);
	} else {
		$articleFirstBuy = NULL;
	}
	
	if (isset($_POST['article_lastBuy'])){
		$articleLastBuy = mysqli_real_escape_string($db, $_POST['article_lastBuy']);
	} else {
		$articleLastBuy = NULL;
	}
	
	if (isset($_POST['article_nextBuy'])){
		$articleNextBuy = mysqli_real_escape_string($db, $_POST['article_nextBuy']);
	} else {
		$articleNextBuy = NULL;
	}
	
	if (isset($_POST['article_buyEvery'])){
		$articleBuyEvery = Main::escapeArray($_POST['article_buyEvery']);
	} else {
		$articleBuyEvery = NULL;
	}
	

	
	if (isset($_POST['article_numberOfPurchases'])){
		$articleNumberOfPurchases = mysqli_real_escape_string($db, $_POST['article_numberOfPurchases']);
	} else {
		$articleNumberOfPurchases = NULL;
	}
	
	if (isset($_POST['article_intervalInDays'])){
		$articleIntervalInDays = mysqli_real_escape_string($db, $_POST['article_intervalInDays']);
	} else {
		$articleIntervalInDays = NULL;
	}

	if (isset($_POST['article_addToListXDaysBefore'])){
		$articleAddToListXDaysBefore = mysqli_real_escape_string($db, $_POST['article_addToListXDaysBefore']);
	} else {
		$articleAddToListXDaysBefore = NULL;
	}
	
	if (isset($_POST['article_standardAmount'])){
		$articleStandardAmount = mysqli_real_escape_string($db, $_POST['article_standardAmount']);
	} else {
		$articleStandardAmount = NULL;
	}
		
	if (!empty($_POST['article_standardMeasureSerialized'])){
		$standardMeasure = Main::stringToArray($_POST['article_standardMeasureSerialized']);
		$standardMeasure = Main::escapeArray($standardMeasure);
		$article_standardMeasureID = $standardMeasure['ID'];
		$article_standardMeasureName = $standardMeasure['name'];
	} else {
		if (isset($_POST['article_standardMeasureID'])){
			$article_standardMeasureID = intval($_POST['article_standardMeasureID']);
		} else {
			$article_standardMeasureID = NULL;
		}
	}
	
	if (isset($_POST['article_standardListEntryAnnotation'])){
		$articleStandardListEntryAnnotation = mysqli_real_escape_string($db, $_POST['article_standardListEntryAnnotation']);
	} else {
		$articleStandardListEntryAnnotation = NULL;
	}
	
	if (!empty($_POST['article_standardPrioritySerialized'])){
		$standardPriority = Main::stringToArray($_POST['article_standardPrioritySerialized']);
		$standardPriority = Main::escapeArray($standardPriority);
		$article_standardPriorityID = $standardPriority['ID'];
		$article_standardPriorityName = $standardPriority['name'];
	} else {
		if (isset($_POST['article_standardPriorityID'])){
			$article_standardPriorityID = intval($_POST['article_standardPriorityID']);
		} else {
			$article_standardPriorityID = NULL;
		}
	}
	
	if (isset($_POST['article_setToUrgentXDaysBefore'])){
		$articleSetToUrgentXDaysBefore = mysqli_real_escape_string($db, $_POST['article_setToUrgentXDaysBefore']);
	} else {
		$articleSetToUrgentXDaysBefore = NULL;
	}
	
	if (isset($_POST['article_convertToArticleID']) AND $_POST['article_convertToArticleID'] != "" AND $_POST['article_convertToArticleID'] != "null" ){
		$articleConvertToArticleID = mysqli_real_escape_string($db, $_POST['article_convertToArticleID']);
	} else {
		if (isset($_POST['article_convertToArticle']) AND $_POST['article_convertToArticle'] != ""){
			$articleConvertToArticleID = $page->selectArticleToConvertInto($_POST['article_convertToArticle'])->getID();
		} else {
			$articleConvertToArticleID = NULL;
		}
	}
	
	// Definition von $article
	if (isset( $_POST['article']) && $formular != "addSubCat"){
		$article = Main::stringToObject(mysqli_real_escape_string($db, $_POST['article']));

	} else {
		$article = new Article(
			$articleID, // ID
			$articleName, // name
			$category->getID(), // catID
			$articleSort, //sort
			$articleAnnotation, //annotation
			$articleFirstBuy,
			$articleLastBuy,
			$articleNextBuy,
			$articleBuyEvery,
			$articleNumberOfPurchases,
			$articleIntervalInDays,
			$articleAddToListXDaysBefore,
			$articleStandardAmount,
			$article_standardMeasureID,
			$articleStandardListEntryAnnotation,
			$article_standardPriorityID,
			$articleSetToUrgentXDaysBefore,
			$articleConvertToArticleID
		);
	}
	
	if ($formular == "addArticleToCat"){ 
		$newArticle = new Article(
			$articleID, // ID
			$articleName, // name
			$category->getID(), // catID
			$articleSort, //sort
			$articleAnnotation, //annotation
			$articleFirstBuy,
			$articleLastBuy,
			$articleNextBuy,
			$articleNumberOfPurchases,
			$articleIntervalInDays,
			$articleAddToListXDaysBefore,
			$articleStandardAmount,
			$article_standardMeasureID,
			$articleStandardListEntryAnnotation,
			$article_standardPriorityID,
			$articleSetToUrgentXDaysBefore,
			$articleConvertToArticleID
		);
	} elseif ($formular == "addedArticleWithEmptyNameToCat" OR $formular == "articleCouldNotBeConstructed"){ 
		$newArticle = Main::stringToObject(mysqli_real_escape_string($db, $_POST['article']));
	} else {
		$newArticle = NULL;
	}

	echo $page->start();
		switch($formular) {
			default:
			case "addedArticleWithEmptyNameToCat":
			case "articleCouldNotBeConstructed":

				echo 
				$page->getDataOfNewArticle("Neuen Artikel anlegen",$article,$list,"article","addSubCat",NULL,$page->getContentIndent()) .
				$page->addArticleToCat("Bestehenden Artikel verknüpfen","addCategory",$newArticle,$articles,$page->getContentIndent()) . 
				$page->sortSubCats("Artikel sortieren und bearbeiten","sortArticles",$articles,'&catID='.$category->getID(),$page->getContentIndent()) .
				$page->renameFormular($category->getName(),$page->getContentIndent()); 

				break;
			case "addSubCat":
				if ($article->getName() == ""){ // wenn kein Artikelname angegeben ist, auf vorherige Seite verweisen	
					echo $page->goBack("Bitte geben Sie eine Artikelbezeichnung ein.",array("article" => Main::objectToString($article)),"","","",$page->getContentIndent());
				} elseif($article->nameAlreadyExists($article->getName())){
					echo $page->goBack("Die Artikelbezeichnung <q>" . $article->getName() . "</q> ist bereits vorhanden. Bitte wählen Sie eine andere Bezeichnung.",array("article" => Main::objectToString($article)),"","","",$page->getContentIndent());
				} else {
					$article->addToDB();
					echo $page->goToPage("");
				}
				break;
			case "delete":
				echo $page->checkBeforeDeletion("Möchten Sie diese Kategorie wirklich löschen?","Die der Kategorie zugeordneten Waren werden nicht gelöscht, sondern bleiben erhalten. Ggf. ist es notwendig, sie einer neuen Kategorie zuzuordnen.",NULL,NULL,NULL,NULL,$page->getContentIndent());
				break;
			case "deleteChecked":
				$category->deleteFromDB();
				echo $page->goToPage("editList.php?ID=" . $category->getListID());
				break;
			
			case "rename":
				if ($nameNotSet){ // wenn kein Listenname angegeben ist, auf vorherige Seite verweisen	
					echo $page->goBack("Bitte geben Sie eine Kategoriebezeichnung ein.",array("category" => Main::objectToString($category)),"","","",$page->getContentIndent());
				} elseif($nameAlreadyExists){
					echo $page->goBack("Diese Kategoriebezeichnung existiert in der ausgewählten Liste bereits. Bitte wählen Sie eine andere Bezeichnung.",array("category" => Main::objectToString($category)),"","","",$page->getContentIndent());
				} else {
					$category->rename(mysqli_real_escape_string($db, $newName));
					echo $page->goToPage("");
				}
				break;
			case "addArticleToCat";
				$page->checkNewArticleForCat($category,$newArticle,$page->getContentIndent());
			 	$page->goToPage("");
				break;
			case "sort_up":
				$article->sortUp();
				echo $page->goToPage("");
				break;	
			case "sort_down":
				$article->sortDown();
				echo $page->goToPage("");
				break;
		}
		echo $page->end();
	?>