<?php 
	/** Datei zum Bearbeiten der Index-Seite. */
	/** Datei zum Bearbeiten der Index-Seite. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");
 	$index = new Index();
 	$index->addSubCats();
 	$page = new IndexPage("edit");
 	
/* Variablendefinition */	
	if (isset( $_POST['formular'])){
		$formular = mysqli_real_escape_string($db, $_POST['formular']);
	} else {
		$formular = NULL;
	}
	
	// Definition von $list
	if (isset( $_POST['list'])){
		$list = Main::stringToObject(mysqli_real_escape_string($db, $_POST['list']));
	} else {
		if (isset($_POST['list_ID'])){
			$listID = intval($_POST['list_ID']);
		} else {
			$listID = NULL;
		}
		if (isset( $_POST['list_name'])){
			$listName = mysqli_real_escape_string($db, $_POST['list_name']);
		} else {
			$listName = NULL;
		}
	
		if (isset( $_POST['list_sort'])){
			$listSort = intval($_POST['list_sort']);
		} else {
			$listSort = NULL;
		}
		$list = new Listing($listID,$listName,$listSort);
	}
	
	// Defintion der Maßangaben
	if (isset( $_POST['measure'])){
		$measure = Main::stringToObject(mysqli_real_escape_string($db, $_POST['measure']));
	} else {
		if (isset( $_POST['measure_ID'])){
			$measureID = intval($_POST['measure_ID']);
		} else {
			$measureID = NULL;
		}
	
		if (isset( $_POST['measure_name'])){
			$measureName = mysqli_real_escape_string($db, $_POST['measure_name']);
		} else {
			$measureName = NULL;
		}
	
		if (isset( $_POST['measure_sort'])){
			$measureSort = intval($_POST['measure_sort']);
		} else {
			$measureSort = NULL;
		}
			$measure = new Measure($measureID,$measureName,$measureSort);
	}

	$measures = $page->getMeasures();
	
	// Definition der Standardeinstellungen für neue Artikel
	if (isset($_POST['standardAmount']) AND $_POST['standardAmount']!= ""){
		$newStandardAmount = intval($_POST['standardAmount']);
	} else {
		$newStandardAmount = $index->getStandardAmount();
	}
	if (isset($_POST['standardMeasureID'])){
		$newStandardMeasureID = intval($_POST['standardMeasureID']);
	} else {
		$newStandardMeasureID = $index->getStandardMeasureID();
	}
	if (isset($_POST['standardPriorityID'])){
		$newStandardPriorityID = intval($_POST['standardPriorityID']);
	} else {
		$newStandardPriorityID = $index->getStandardMeasureID();
	}

	echo $page->start();
	
	switch($formular) {
		default:
		$index->getLists();
		$page->getContentIndent();
			echo 
			$page->addSubCat("Neue Liste hinzufügen","newList",$index->getLists(),$list,$page->getContentIndent()) .
			$page->sortSubCats("Listen sortieren und bearbeiten","sortAndEditLists",$index->getLists(),NULL,$page->getContentIndent()) .
			$page->renameFormular($index->getName(),$page->getContentIndent()) . 
			$page->addItem("Neue Maßangabe hinzufügen","newMeasure",$measures,$measure,"addMeasure",$page->getContentIndent()) . 
			$page->sortItems("Maßangaben sortieren und bearbeiten","sortAndEditMeasures",$measures,"editMeasure.php",NULL,"measure",$page->getContentIndent()) .
			$page->editStandardsForArticles("Standardeinstellungen für neue Artikel",$index,$page->getContentIndent());
			break;
		case "addSubCat";
			if ($list->getName() == ""){ // wenn kein Listenname angegeben ist, auf vorherige Seite verweisen	
				echo $page->goBack("Bitte geben Sie eine Listenbezeichnung ein.",$list->getDataWithPrefix(),"","","",$page->getContentIndent());
			} elseif($list->nameAlreadyExists($list->getName())){
				echo $page->goBack("Dieser Listenname existiert bereits. Bitte wählen Sie eine andere Bezeichnung.",$list->getDataWithPrefix(),"","","",$page->getContentIndent());
			} else {
				$list->addToDB();
				echo $page->goToPage("");
			}
			break;
		case "rename":
			$index->rename(mysqli_real_escape_string($db, $_POST['newName']));
			echo $page->goToPage("");
			break;
		case "sort_up":
			$list->sortUp();
			$page->goToPage("");
			break;	
		case "sort_down":
			$list->sortDown();
			$page->goToPage("");
			break;
		case "addMeasure";
			if ($measure->getName() == ""){ // wenn kein Maßangabe angegeben ist, auf vorherige Seite verweisen	
				echo $page->goBack("Bitte geben Sie eine Maßbezeichnung ein.",NULL,"","","",$page->getContentIndent());
			} elseif($measure->nameAlreadyExists($measure->getName(),NULL)){
				echo $page->goBack("Die Maßbezeichnung <q>" . $measure->getName() . "</q> ist bereits vorhanden. Bitte wählen Sie eine andere Bezeichnung.",$measure->getDataWithPrefix(),"","","",$page->getContentIndent());
			} 
			else {
				$measure->addToDB();
				echo $page->goToPage("");
			}
			break;
		case "measure_sort_up":
			$measure->sortUp();
			$page->goToPage("");
			break;	
		case "measure_sort_down":
			$measure->sortDown();
			$page->goToPage("");
			break;
		case "updateArticleStandards":
			$index->setStandardAmount($newStandardAmount);
			$index->setStandardMeasureID($newStandardMeasureID);
			$index->setStandardPriorityID($newStandardPriorityID);
			$index->updateArticleStandards();
			$page->goToPage("");
			break;
	}
	echo $page->end();
?>