<?php 
	/** Datei zur Bearbeitung einer Liste. */
	/** Datei zur Bearbeitung einer Liste. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
 	include(ABS_PATH . "functions.php");
 	
 	/* Variablendefinition */	
 	if (isset($_POST['formular'])){
 		$formular = mysqli_real_escape_string($db, $_POST['formular']);
 	} else {
 		$formular = NULL;
 	}
 	
 	if (isset($_GET['ID'])){
	 	$listID = intval($_GET['ID']);
		$list = Listing::constructByID($listID);
		$list->addSubCats();
 	} else {
 		$listID = NULL;
 		$list = NULL;
 	}
	
	if (isset( $_POST['cat'])){
		$category = Main::stringToObject(mysqli_real_escape_string($db, $_POST['cat']));
	} else {
		if (isset( $_POST['cat_ID'])){
			$catID = intval($_POST['cat_ID']);
		} else {
			$catID = NULL;
		}	
	
		if (isset( $_POST['cat_name'])){
			$catName = mysqli_real_escape_string($db, $_POST['cat_name']);
		} else {
			$catName = NULL;
		}	
	
		if (isset( $_POST['cat_sort'])){
			$catSort = mysqli_real_escape_string($db, $_POST['cat_sort']);
		} else {
			$catSort = NULL;
		}	
		$category = new Category($catID,$catName,$listID,NULL,$catSort);
	}
	$categories = $list->getCategories();
	$nameNotSet = false;
	$nameAlreadyExists = false;
	if (isset($_POST['newName'])){
		$newName = mysqli_real_escape_string($db, $_POST['newName']);
		if ($_POST['newName'] == ""){
			$nameNotSet = true;
		} else {
			if ($list->nameAlreadyExists($newName)){
				$nameAlreadyExists = true;
			} else {
				$list->setName($newName);
			}
		}
	}

	

 	$page = new ListPage($list->getName(),$listID,"edit");
 	echo $page->start();
	switch($formular) {
		default:
		echo 
			$page->addSubCat("Neue Kategorie hinzufügen","addCategory",$categories,$category,$page->getContentIndent()) .			
			$page->sortSubCats("Kategorien sortieren und bearbeiten","sortCategories",$categories,NULL,$page->getContentIndent()) .
			$page->renameFormular($list->getName(),$page->getContentIndent());
			break;
		case "addSubCat":
			// $category->nameAlreadyExists($category->getName());
			if ($category->getName() == ""){ // wenn kein Kategorienname angegeben ist, auf vorherige Seite verweisen	
				echo $page->goBack("Bitte geben Sie eine Kategorienbezeichnung ein.",(array)$category,"","","",$page->getContentIndent());
			} elseif($category->nameAlreadyExists($category->getName(),NULL)){
				echo $page->goBack("Die Kategoriebezeichnung <q>" . $category->getName() . "</q> ist bereits in der Liste <q>" . $list->getName(). "</q> vorhanden. Bitte wählen Sie eine andere Bezeichnung.",$category->getDataWithPrefix(),"","","",$page->getContentIndent());
			} 
			else {
				$category->addToDB();
				echo $page->goToPage("");
			}
			break;
		case "delete":
			echo $page->checkBeforeDeletion("Möchten Sie diese Liste wirklich löschen?","Es werden zugleich alle mit der Liste verbundenen Kategorien gelöscht. Die den Kategorien zugeordneten Artikel bleiben hingegen erhalten.",NULL,NULL,NULL,NULL,$page->getContentIndent());
			break;
		case "deleteChecked":
			$list->deleteFromDB();
			echo $page->goToPage("editIndex.php");
			break;
		case "rename":
			if ($nameNotSet){ // wenn kein Listenname angegeben ist, auf vorherige Seite verweisen	
				echo $page->goBack("Bitte geben Sie eine Listenbezeichnung ein.",$list->getDataWithPrefix(),"","","",$page->getContentIndent());
			} elseif($nameAlreadyExists){
				echo $page->goBack("Diese Listenbezeichnung existiert bereits. Bitte wählen Sie eine andere Bezeichnung.",$list->getDataWithPrefix(),"","","",$page->getContentIndent());
			} else {
				$list->setName($newName);
				$list->updateDB();
				echo $page->goToPage("");
			}
			break;
		case "sort_up":
			$category->sortUp();
			$page->goToPage("");
			break;	
		case "sort_down":
			$category->sortDown();
			$page->goToPage("");
			break;	

	} 
	
	echo $page->end();
?>