<?php 
	/** Installations-Datei. */
	/** Installations-Datei. */
	require_once("config.php");

    // Aktuelle Versionsinformationen
    $version = '1.0b2'; 
    $build = '2019-07-16 14:57'; // Beispiel: '2019-06-25 11:01'

	require_once("config.php");
	// Datenbank einrichten, falls noch nicht existent
	try{
		$conn = new mysqli(DB_HOST, DB_USER,DB_PASSWORD);
		if($conn->connect_errno) {
			throw new Exception($conn->connect_error);
  		}
  		$createDB = 'CREATE DATABASE IF NOT EXISTS `' . DB_NAME . '` CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci';
		if ($conn->query($createDB) === TRUE) {
 		   $db_exists = '<p>Datenbank <q>' . DB_NAME . '</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
			$db_exists = "";
  		  throw new Exception($conn->error);
		}
		$conn->close();
		
		include(ABS_PATH . "functions.php");
		$page = new Page("Installation der Einkaufsliste","default");
		echo $page->start_wp(NULL) .
		$db_exists;
		include(ABS_PATH . "dbconnect.php");	
		$createTBarticles = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articles` (`ID` int(5) NOT NULL COMMENT \'ID des Artikels\',`name` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Bezeichnung des Artikels\', `firstBuy` date DEFAULT NULL COMMENT \'Tag des ersten Kaufs\', `lastBuy` date DEFAULT NULL COMMENT \'Tag des letzten Kaufs\',`nextBuy` date DEFAULT NULL COMMENT \'Stichtag des nächsten Kaufes\', `standardPriorityID` int(2) DEFAULT NULL COMMENT \'Die ID der Standardpriorität, falls der Artikel automatisch auf die Liste gesetzt werden sollte\', `numberOfPurchases` int(5) NOT NULL DEFAULT 0 COMMENT \'Anzahl der bisherigen Käufe\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBarticles) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articles</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		
		$createTBarticlesAddToListXDaysBefore = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore` (`ID` int(11) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels\', `addToListXDaysBefore` int(2) DEFAULT NULL COMMENT \'Anzahl der Tage vor dem nächsten Kauf, an denen der Artikel automatisch auf die Liste gesetzt wird\') ENGINE=InnoDB DEFAULT CHARSET=utf8;';
		if ($db->query($createTBarticlesAddToListXDaysBefore) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesAnnotation = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesAnnotation` (`ID` int(11) NOT NULL, `articleID` int(11) NOT NULL COMMENT \'ID des Artikels\', `annotation` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Anmerkung zum Artikel\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBarticlesAnnotation) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesAnnotation</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesBought = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesBought` (`ID` int(6) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels\', `date` date DEFAULT NULL COMMENT \'Datum des letzten Kaufes\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT=\'Auflistung der Käufe\';';
		if ($db->query($createTBarticlesBought) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesBought</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesBuyEvery = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesBuyEvery` (`ID` int(11) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels\', `weekday` text DEFAULT NULL COMMENT \'Kommaseparierte Wochentage, an denen der Artikel gekauft werden soll\') ENGINE=InnoDB DEFAULT CHARSET=utf16;';
		if ($db->query($createTBarticlesBuyEvery) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesBuyEvery</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesCategories = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesCategories` (`ID` int(8) NOT NULL, `articleID` int(8) DEFAULT NULL COMMENT \'ID des Artikels\', `catID` int(5) DEFAULT NULL COMMENT \'ID der Kategorie, der der Artikel zugeordnet ist\', `sort` int(3) DEFAULT NULL COMMENT \'Position des Artikels in der Darstellung aller der Kategorie zugeordneten Artikel\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBarticlesCategories) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesCategories</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesConvertToArticle = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesConvertToArticle` (`ID` int(5) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'Die ID des Artikels, der konvertiert werden soll\',
  `convertToArticleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels, in die ein Listeneintrag dieses Artikels nach Kauf konvertiert wird\') ENGINE=InnoDB DEFAULT CHARSET=utf8;';
		if ($db->query($createTBarticlesConvertToArticle) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesConvertToArticle</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesIntervalInDays = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesIntervalInDays` (`ID` int(11) NOT NULL, `articleID` int(11) DEFAULT NULL COMMENT \'ID des Artikels\', `intervalInDays` int(4) DEFAULT NULL COMMENT \'Zeit in Tagen bis zum nächsten Kauf\') ENGINE=InnoDB DEFAULT CHARSET=utf8;';
		if ($db->query($createTBarticlesIntervalInDays) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesIntervalInDays</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesSetToUrgentXDaysBefore = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore` (`ID` int(11) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels\',  `setToUrgentXDaysBefore` int(2) DEFAULT NULL COMMENT \'Anzahl der Tage vor dem nächsten Kauf, an denen der Artikel als dringend notiert wird\') ENGINE=InnoDB DEFAULT CHARSET=utf8;';
		if ($db->query($createTBarticlesSetToUrgentXDaysBefore) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBarticlesStandards = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'articlesStandards` (`ID` int(11) NOT NULL, `articleID` int(5) DEFAULT NULL COMMENT \'Die Standardanmerkung für den ListEntry, falls der Artikel automatisch auf die Liste gesetzt werden sollte\', `standardAmount` int(7) DEFAULT NULL COMMENT \'Die Standardmenge, falls der Artikel automatisch auf die Liste gesetzt werden sollte\',  `standardMeasureID` int(2) DEFAULT NULL COMMENT \'Die ID der Standardmaßeinheit, falls der Artikel automatisch auf die Liste gesetzt werden sollte\',
  `standardListEntryAnnotation` text DEFAULT NULL COMMENT \'Standardanmerkung für ListEntry, falls der Artikel automatisch auf die Liste gesetzt werden sollte\') ENGINE=InnoDB DEFAULT CHARSET=utf8;';
		if ($db->query($createTBarticlesStandards) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'articlesStandards</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBbarcodes = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'barcodes` (`ID` int(5) NOT NULL, `name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Barcode als String\', `articleID` int(4) DEFAULT NULL COMMENT \'ID des Artikels\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBbarcodes) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'barcodes</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBcategories = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'categories` (`ID` int(5) NOT NULL, `listID` int(2) DEFAULT NULL COMMENT \'ID der Liste, der die Kategorie zugeordnet ist\', `name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Bezeichnung der Kategorie\', `sort` int(2) DEFAULT NULL COMMENT \'Position der Kategorie bei der Darstellung aller der Liste zugeordneten Kategorien\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
';
		if ($db->query($createTBcategories) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'categories</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBlistEntries = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'listEntries` (`ID` int(10) NOT NULL, `amount` int(7) DEFAULT NULL COMMENT \'Menge des Listeneintrags\', `measureID` int(2) DEFAULT NULL COMMENT \'ID der Maßeinheit des Listeneintrags\', `articleID` int(5) DEFAULT NULL COMMENT \'ID des Artikels\',`priorityID` int(1) DEFAULT NULL COMMENT \'ID der Priorität\', `inBasket` tinyint(1) DEFAULT NULL COMMENT \'1, falls Listeneintrag in Warenkorb verschoben wurde\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBlistEntries) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'listEntries</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBlistEntriesAnnotation = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'listEntriesAnnotation` (`ID` int(11) NOT NULL, `listEntryID` int(11) NOT NULL COMMENT \'ID des Listeneintrags\', `annotation` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT \'Anmerkung zum Listeneintrag\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBlistEntriesAnnotation) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'listEntriesAnnotation</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBlists = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'lists` (`ID` int(11) NOT NULL,`name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Bezeichnung der Liste\',`sort` int(2) DEFAULT NULL COMMENT \'Position der Liste bei der Darstellung aller Listen\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBlists) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'lists</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBmeasures = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'measures` (`ID` int(2) NOT NULL, `name` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Bezeichnung der Maßeinheit\', `sort` int(2) DEFAULT NULL COMMENT \'Position der Maßeinheit bei der Darstellung aller Maßeinheiten\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBmeasures) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'measures</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBprefs = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'prefs` (`ID` int(11) NOT NULL, `name` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,`standardAmount` int(4) DEFAULT NULL COMMENT \'Menge, die eingetragen wird, wenn bei Artikel keine Standardmenge definiert und zum Listeneintrag keine expliziten Angaben gemacht wurden\', `standardMeasureID` int(2) DEFAULT NULL COMMENT \'ID der Maßangabe, die eingetragen wird, wenn bei Artikel keine Standardmaß definiert und zum Listeneintrag keine expliziten Angaben gemacht wurden\', `standardPriorityID` int(2) DEFAULT NULL COMMENT \'ID der Priorität, die eingetragen wird, wenn bei Artikel keine Standardpriorität definiert und zum Listeneintrag keine expliziten Angaben gemacht wurden\', `version` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Versionsnummer\', `build` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Datum und Uhrzeit des Builds\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBprefs) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'prefs</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$createTBpriority = 'CREATE TABLE IF NOT EXISTS `' . DB_TAB_PREFIX . 'priority` (`ID` int(11) NOT NULL, `name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT \'Bezeichnung der Priorität\') ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';
		if ($db->query($createTBpriority) === TRUE) {
 		   echo '<p>Tabelle <q>' . DB_TAB_PREFIX . 'priority</q> existiert bzw. wurde eingerichtet.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		
			// Indizes der exportierten Tabellen
		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articles` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `waren_id` (`ID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articles</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAnnotation` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesAnnotation</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBought` ADD PRIMARY KEY (`ID`), ADD KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesBought</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBuyEvery` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesBuyEvery</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesCategories` ADD PRIMARY KEY (`ID`), ADD KEY `articleID` (`articleID`), ADD KEY `catID` (`catID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesCategories</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesConvertToArticle` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`), ADD KEY `convertToArticleID` (`convertToArticleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesConvertToArticle</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesIntervalInDays` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesIntervalInDays</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesStandards` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `articleID` (`articleID`), ADD KEY `standardMeasureID` (`standardMeasureID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'articlesStandards</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'barcodes` ADD PRIMARY KEY (`ID`), ADD KEY `articleID` (`articleID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'barcodes</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'categories` ADD PRIMARY KEY (`ID`), ADD KEY `listID` (`listID`), ADD KEY `listID_2` (`listID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'categories</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntries` ADD PRIMARY KEY (`ID`), ADD KEY `measureID` (`measureID`), ADD KEY `articleID` (`articleID`), ADD KEY `priorityID` (`priorityID`), ADD KEY `priorityID_2` (`priorityID`), ADD KEY `measureID_2` (`measureID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'listEntries</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntriesAnnotation` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `listEntryID` (`listEntryID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'listEntriesAnnotation</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'lists` ADD PRIMARY KEY (`ID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'lists</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'measures` ADD PRIMARY KEY (`ID`), ADD UNIQUE KEY `mass_id` (`ID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'measures</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'prefs` ADD PRIMARY KEY (`ID`), ADD KEY `standardMeasureID` (`standardMeasureID`), ADD KEY `standardPriorityID` (`standardPriorityID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'prefs</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$alterTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'priority` ADD PRIMARY KEY (`ID`)';
		if ($db->query($alterTB) === TRUE) {
 		   echo '<p>Primary Key zu Tabelle <q>' . DB_TAB_PREFIX . 'priority</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		
			// AUTO_INCREMENT für exportierte Tabellen
		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articles` MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT \'ID des Artikels\'';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articles</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAnnotation` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesAnnotation</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBought` MODIFY `ID` int(6) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesBought</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBuyEvery` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesBuyEvery</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesCategories` MODIFY `ID` int(8) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesCategories</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesConvertToArticle` MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesConvertToArticle</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesIntervalInDays` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesIntervalInDays</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesStandards` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesStandards</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'barcodes` MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'barcodes</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'categories` MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'categories</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntries` MODIFY `ID` int(10) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'listEntries</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntriesAnnotation` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'listEntriesAnnotation</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'lists` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'lists</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'measures` MODIFY `ID` int(2) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'measures</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'prefs` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'prefs</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$autoIncrementTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'priority` MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT';
		if ($db->query($autoIncrementTB) === TRUE) {
 		   echo '<p>ID-Spalte in der Tabelle <q>' . DB_TAB_PREFIX . 'priority</q> auf AUTO_INCREMENT gesetzt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		// Constraints der Tabellen
		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesAddToListXDaysBefore</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesAnnotation`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesAnnotation_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesAnnotation</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBought`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesBought_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesBought</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesBuyEvery`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesBuyEvery_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesBuyEvery</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesCategories`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesCategories_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesCategories_ibfk_2` FOREIGN KEY (`catID`) REFERENCES `' . DB_TAB_PREFIX . 'categories` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesCategories</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesConvertToArticle`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesConvertToArticle_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE SET NULL ON UPDATE SET NULL,  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesConvertToArticle_ibfk_2` FOREIGN KEY (`convertToArticleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE SET NULL ON UPDATE SET NULL';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesConvertToArticle</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesIntervalInDays`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesIntervalInDays_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesIntervalInDays</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesSetToUrgentXDaysBefore</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'articlesStandards`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesStandards_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'articlesStandards_ibfk_2` FOREIGN KEY (`standardMeasureID`) REFERENCES `' . DB_TAB_PREFIX . 'measures` (`ID`) ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'articlesStandards</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'barcodes`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'barcodes_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'barcodes</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'categories`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'categories_ibfk_1` FOREIGN KEY (`listID`) REFERENCES `' . DB_TAB_PREFIX . 'lists` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'categories</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntries`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'listEntries_ibfk_1` FOREIGN KEY (`articleID`) REFERENCES `' . DB_TAB_PREFIX . 'articles` (`ID`),  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'listEntries_ibfk_2` FOREIGN KEY (`priorityID`) REFERENCES `' . DB_TAB_PREFIX . 'priority` (`ID`),  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'listEntries_ibfk_3` FOREIGN KEY (`measureID`) REFERENCES `' . DB_TAB_PREFIX . 'measures` (`ID`)';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'listEntries</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'listEntriesAnnotation` ADD CONSTRAINT `' . DB_TAB_PREFIX . 'listEntriesAnnotation_ibfk_1` FOREIGN KEY (`listEntryID`) REFERENCES `' . DB_TAB_PREFIX . 'listEntries` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'listEntriesAnnotation</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$addConstraintsTB = 'ALTER TABLE `' . DB_TAB_PREFIX . 'prefs`  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'prefs_ibfk_1` FOREIGN KEY (`standardMeasureID`) REFERENCES `' . DB_TAB_PREFIX . 'measures` (`ID`),  ADD CONSTRAINT `' . DB_TAB_PREFIX . 'prefs_ibfk_2` FOREIGN KEY (`standardPriorityID`) REFERENCES `' . DB_TAB_PREFIX . 'priority` (`ID`)';
		if ($db->query($addConstraintsTB) === TRUE) {
 		   echo '<p>Constraint(s) in der Tabelle <q>' . DB_TAB_PREFIX . 'prefs</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		
				// Tabelleninhalt
		$insertTB = 'INSERT INTO `' . DB_TAB_PREFIX . 'measures` (`ID`, `name`, `sort`) VALUES (1, \'x\', 1),(2, \'g\', 2),(3, \'&#163;\', 3),(4, \'kg\', 4),(5, \'&#8467;\', 5),(6, \'ml\', 6),(7, \'Pkg.\', 7),(8, \'Dose(n)\', 8),(9, \'Fl.\', 9),(10, \'Tube\', 11),(11, \'Bund\', 12),(12, \'Stage(n)\', 13),(13, \'große(r)\', 14),(14, \'Sack\', 10)';
		if ($db->query($insertTB) === TRUE) {
 		   echo '<p>Tabelleninhalt zur Tabelle <q>' . DB_TAB_PREFIX . 'measures</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
	
		$insertTB  = 'INSERT INTO `' . DB_TAB_PREFIX . 'priority` (`ID`, `name`) VALUES (1, \'bei Gelegenheit\'),(2, \'normal\'),(3, \'dringend\')';
		if ($db->query($insertTB) === TRUE) {
 		   echo '<p>Tabelleninhalt zur Tabelle <q>' . DB_TAB_PREFIX . 'priority</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
	
		$insertTB  = 'INSERT INTO `' . DB_TAB_PREFIX . 'prefs` (`ID`, `name`, `standardAmount`, `standardMeasureID`, `standardPriorityID`, `version`, `build`) VALUES (1, \'Einkaufsliste\', 1, 1, 2, \'' . $version . '\', \'' . $build . '\')';
		if ($db->query($insertTB) === TRUE) {
 		   echo '<p>Tabelleninhalt zur Tabelle <q>' . DB_TAB_PREFIX . 'prefs</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
	
		$insertTB  = 'INSERT INTO `' . DB_TAB_PREFIX . 'lists` (`ID`, `name`, `sort`) VALUES
(1, \'Standardliste\', 1)';
		if ($db->query($insertTB) === TRUE) {
 		   echo '<p>Tabelleninhalt zur Tabelle <q>' . DB_TAB_PREFIX . 'lists</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}

		$insertTB  = 'INSERT INTO `' . DB_TAB_PREFIX . 'categories` (`ID`, `listID`, `name`, `sort`) VALUES
(1, 1, \'Sonstiges\', 1)';
		if ($db->query($insertTB) === TRUE) {
 		   echo '<p>Tabelleninhalt zur Tabelle <q>' . DB_TAB_PREFIX . 'categories</q> hinzugefügt.</p>';
		} else {
  		  throw new Exception($db->error);
		}
		
		echo '<p style="font-weight:bold;">Die Datenbank wurde erfolgreich eingerichtet. Bitte löschen Sie nun die Dateien <q>install.php</q> und <q>update.php</q> per FTP aus dem Wurzelverzeichnis der Installation. Anschließend können Sie <a href="index.php" style=" text-decoration: underline;">die Einkaufsliste aufrufen</a>.</p>';

	}
	catch (Exception $e) {
  		echo '<p style="font-weight:bold;">Installation abgebrochen (Error: ' . $e -> getMessage() . ').</p>';
	}
	finally{
		echo $page->end();
	}
?>
