<?php 

	/** Datei zur Erstellung eines neuen Artikels. */
	/** 
	* Datei zur Erstellung eines neuen Artikels.
	*/
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");
	
	if (isset($_POST["formular"])){
		$formular = $_POST["formular"];
	} else {
		$formular = NULL;
	}

	if (isset($_POST['listEntry'])){
		$listEntry = Main::stringToObject(mysqli_real_escape_string($db,$_POST['listEntry']));
	} else {
		$listEntry = NULL;
	}
	
	if (isset($_POST['article'])){
		$article = Main::stringToObject(mysqli_real_escape_string($db,$_POST['article']));
	} else {
		$article = new Article(
			NULL, // ID
			$listEntry->getName(),
			NULL, // article_catID,
			NULL, // article_sort
			NULL, // article_annotation
			NULL, // firstBuy
			NULL, // lastBuy
			NULL, // nextBuy
			NULL, // buyEvery
			0, //numberOfPurchases
			NULL, // intervalInDays
			NULL, // addToListXDaysBefore
			NULL, // standardAmount,
			NULL, // standardMeasureID
			NULL, // standardListEntryAnnotation
			NULL, // standardPriorityID
			NULL, //setToUrgentXDaysBefore
			NULL // convertToArticleID;
		);
	}
	
	if (isset($_POST['article_name'])){
		$listEntry->setName(mysqli_real_escape_string($db,$_POST['article_name']));
		$article->setName(mysqli_real_escape_string($db,$_POST['article_name']));
	} 
	if (isset($_POST['article_annotation'])){
		$article->setAnnotation(mysqli_real_escape_string($db,$_POST['article_annotation']));
	}
	if (isset($_POST['article_catID'])){
		$article->setCatID(intval($_POST['article_catID']));
	}
	if (isset($_POST['article_sort'])){
		$article->setSort(intval($_POST['article_sort']));
	}
	if (isset($_POST['article_intervalInDays'])){
		$article->setIntervalInDays(Main::isNullIfZero(intval($_POST['article_intervalInDays'])));
	}
	if (isset($_POST['article_addToListXDaysBefore'])){
		$article->setAddToListXDaysBefore(Main::isNullIfZero(intval($_POST['article_addToListXDaysBefore'])));
	}
	if (isset($_POST['article_setToUrgentXDaysBefore'])){
		$article->setSetToUrgentXDaysBefore(mysqli_real_escape_string($db,$_POST['article_setToUrgentXDaysBefore']));
	}
	if (isset($_POST['article_nextBuy'])){
$article->setNextBuy(mysqli_real_escape_string($db,$_POST['article_nextBuy']));
	}
	
	if(isset($_POST['article_buyEvery'])){
	 	$article->setBuyEvery(Main::escapeArray($_POST['article_buyEvery']));
	 	$article->reexamineNextBuyDate();
 	} 
 	
	if (isset($_POST['article_standardAmount'])){
		$article->setStandardAmount(Main::isNullIfZero(intval($_POST['article_standardAmount'])));
	}
	
	if (!empty($_POST['article_standardMeasureSerialized'])){
		$standardMeasure = Main::stringToArray($_POST['article_standardMeasureSerialized']);
		$standardMeasure = Main::escapeArray($standardMeasure);
		$standardMeasureID = $standardMeasure['ID'];
		$article->setStandardMeasureID($standardMeasureID);
		$standardMeasureName = $standardMeasure['name'];
	} else {
		$standardMeasureID = NULL;
		$standardMeasureName = NULL;
	}
	
	if (isset($_POST['article_standardListEntryAnnotation'])){
		$article->setStandardListEntryAnnotation(mysqli_real_escape_string($db,$_POST['article_standardListEntryAnnotation']));
	}	
	
	if (!empty($_POST['article_standardPrioritySerialized'])){
		$standardPriority = Main::stringToArray($_POST['article_standardPrioritySerialized']);
		$standardPriority = Main::escapeArray($standardPriority);
		$standardPriorityID = $standardPriority['ID'];
		$article->setStandardPriorityID($standardPriorityID);
		$standardPriorityName = $standardPriority['name'];
	} else {
		$standardPriorityID = NULL;
		$standardPriorityName = NULL;
	}

	if (isset($_POST['listID'])){
		$listID = intval($_POST['listID']);
		$listEntry->setListID($listID);
	} else {
		if (!empty($listEntry->getListID())){
			$listID = $listEntry->getListID();
		} else {
			$listID = NULL;
		}
	}
	
	$searchScript = '<script src="jquery-3.3.1.min"></script>
		<script src="bootstrap.min.js"></script>
		<script src="typeahead.min.js"></script>
		<script>
			$(document).ready(function(){
				$(\'input.typeaheadConvert\').typeahead({
					name: \'typeaheadConvert\',
					remote:\'search.php?key=%QUERY&mode=convertArticle\',
					limit : 10
				});
			});
		</script>';
		
	switch($formular){
		case "newArticleNameForSpecialList": 
			if (!empty($_POST['listIDAdded'])){
				$listID = intval($_POST['listIDAdded']);
			} 
			$list = Listing::constructByID($listID);
			$list->addSubCats();
			$page = new ArticlePage($article,"default");
				echo $page->start(NULL) .
				$page->getDataOfNewArticle(NULL,$article,$list,"article","newArticleNameForSpecialListAndCat",$listEntry,$page->getContentIndent()) . 
				$page->end();
			break;
		case "newArticleNameForSpecialListAndCat":
			if (isset($_POST['article_convertToArticle']) && $_POST['article_convertToArticle'] != ""){
				$article->setConvertToArticleID(mysqli_real_escape_string($db,$_POST['article_convertToArticle']));
			}
			$list = Listing::constructByID($listID);
			$list->addSubCats();
			$page = new ArticlePage($article,"default");
			echo $page->start(array($searchScript)) .
				$page->getDataOfNewArticle(NULL,$article,$list,"article","insert",$listEntry,$page->getContentIndent()) .
				$page->end();			
			break;
		case "insert";

			$page = new ArticlePage($article,"default");
			$conversionFailed = TRUE;
			echo $page->start(NULL);
			if (!empty($_POST['article_convertToArticle'])){
				$articleToConvertInto = $page->selectArticleToConvertInto(mysqli_real_escape_string($db, $_POST['article_convertToArticle']));
				if (is_object($articleToConvertInto)){
					$article->setConvertToArticleID($articleToConvertInto->getID());
					$conversionFailed = FALSE;
				}
			} else {
				$conversionFailed = FALSE;
			}
			
			if ($conversionFailed){
				$info = "Der Artikel soll nach dem Löschen in einen anderen Artikel umgewandelt werden. Hierzu wurde jedoch keine gültige Artikelbezeichnung ausgewählt.";
				echo $page->goBack($info,array("article" => Main::objectToString($article), "listEntry" => Main::objectToString($listEntry),"formular" => "newArticleNameForSpecialListAndCat"),NULL,NULL,NULL,$page->getContentIndent());
			} else {
				$article->addToDB();
				$article->refreshID(); // gerade eingetragene ID ermitteln und zuweisen
				$listEntry->setArticleID($article->getID());
				$listEntry->setStandardsIfNULL();
				$listEntry->addToDB();
				echo $page->goToPage("list.php?ID=" . $listEntry->getListID());
			}
			echo $page->end();
			break;
	}
?>	
