<?php 
	/** Datei zur Erstellung eines neuen ListEntries. */
	/** 
	* Datei zur Erstellung eines neuen ListEntries.
	*/

	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");
	if (empty($_POST['listID'])){
		$listID = NULL;
		$goToPageURL = "index.php";
		$searchScript = '<script src="jquery-3.3.1.min"></script>
			<script src="bootstrap.min.js"></script>
			<script src="typeahead.min.js"></script>
			<script>' . 
			'$(document).ready(function(){' .
				'$(\'input.typeahead\').typeahead({' .
					'name: \'typeahead\',' .
					'remote:\'search.php?key=%QUERY\',' . 
					'limit : 10' .
				'});' . 
			'});' .
		'</script>';
	} else {
		$listID = intval($_POST['listID']);
		$goToPageURL = "list.php?ID=" . $listID;
		$searchScript = '<script src="jquery-3.3.1.min"></script>
			<script src="bootstrap.min.js"></script>
			<script src="typeahead.min.js"></script>
			<script>' . 
			'var listID = "' . $listID . '";' .
			'$(document).ready(function(){' .
				'$(\'input.typeahead\').typeahead({' .
					'name: \'typeahead\',' .
					'remote:\'search.php?key=%QUERY&listID=\' + listID,' . 
					'limit : 10' .
				'});' . 
			'});' .
		'</script>';
	}
	
	if (isset($_POST['returnURL'])){
		$returnURL = mysqli_real_escape_string($db, $_POST['returnURL']);
	} else {
		$returnURL = NULL;
	}
	$page = new ListEntryPage("Neuen Listeneintrag hinzufügen",NULL,"default");

	if (isset($_POST['amount'])){
		$amount = mysqli_real_escape_string($db,$_POST['amount']);
	} else {
		$amount = NULL;
	}
 	if (!empty($_POST['measureSerialized'])){
		$measure = Main::stringToArray($_POST['measureSerialized']);
		$measure = Main::escapeArray($measure);
		$measureID = $measure['ID'];
		$measureName = $measure['name'];
	} else {
		if (isset($_POST['measureID'])){
			$measureID = intval($_POST['measureID']);
		} else {
			$measureID = NULL;
		}
		if (isset($_POST['measureName'])){
			$measureName = mysqli_real_escape_string($db, $_POST['measureName']);
		} else {
			$measureName = NULL;
		}
			
	}
	if (!empty($_POST['prioritySerialized'])){
		$priority = Main::stringToArray($_POST['prioritySerialized']);
		$priority = Main::escapeArray($priority);
		$priorityID = $priority['ID'];
		$priorityName = $priority['name'];
	} 	else {
		if (isset($_POST['priorityID'])){
			$priorityID = intval($_POST['priorityID']);
		} else {
			$priorityID = NULL;
		}
 		if (isset($_POST['priorityName'])){
 			$priorityName =mysqli_real_escape_string($db, $_POST['priorityName']);
 		} else {
 			$priorityName = NULL;
 		}
	}
	if (!empty($_POST['merge_measureSerialized'])){
		$mergeMeasure = Main::stringToArray($_POST['merge_measureSerialized']);
		$mergeMeasure = Main::escapeArray($mergeMeasure);
		$mergeMeasureID = $mergeMeasure['ID'];
		$mergeMeasureName = $mergeMeasure['name'];
	}
	if (!empty($_POST['mergeAll_measureSerialized'])){
		$mergeMeasure = Main::stringToArray($_POST['mergeAll_measureSerialized']);
		$mergeMeasure = Main::escapeArray($mergeMeasure);
		$mergeMeasureID = $mergeMeasure['ID'];
		$mergeMeasureName = $mergeMeasure['name'];
	}
	if (isset($_POST['articleID'])){
		$articleID = mysqli_real_escape_string($db,$_POST['articleID']);
	} else {
		$articleID = NULL;
	}
	if (isset($_POST['name'])){
		$name = mysqli_real_escape_string($db,$_POST['name']);
	} else {
		$name = NULL;
	}
	if (isset($_POST['articleAnnotation'])){
		$articleAnnotation = mysqli_real_escape_string($db,$_POST['articleAnnotation']);
	} else {
		$articleAnnotation = NULL;
	}
	if (isset($_POST['annotation'])){
		$annotation = mysqli_real_escape_string($db,$_POST['annotation']);
	} else {
		$annotation = NULL;
	}
	if (isset($_POST['formular'])){
		$formular = mysqli_real_escape_string($db,$_POST['formular']);
	} else {
		$formular = NULL;
	}
	
	if (isset($_POST['listEntry'])){
		$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
	} else {
		$listEntry = new ListEntry(
			NULL,
			$amount,
			Main::isNullIfZero($measureID),
			$measureName,
			$articleID,
			$name,
			$articleAnnotation,
			$annotation,
			$listID,
			Main::isNullIfZero($priorityID),
			NULL, // $priorityName
			NULL // $inBasket
		);
	}
	
	if (isset($_POST['iM'])){ // wenn bereits ein Eintrag mit identischer MeasureID existiert
		$oldListEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['iM']));
	}

	switch($formular) {
		default:
			echo $page->start(array($searchScript));
			echo $page->addListEntry($listEntry,$returnURL,$page->getContentIndent()); // nimmt die Daten für den neuen ListEntry auf
			echo $page->end();
			break;
		case "checkNewListEntry":
			if ($returnURL == "" && $listEntry->getListID() == ""){
				$returnURL = "index.php";
			}
			echo $page->start(array($searchScript));
			$page->checkNewListEntry($listEntry,$returnURL,$page->getContentIndent()); // trägt den neuen Eintrag ggf. auch direkt ein 
			echo $page->end();
			break;
		case "insertNewListEntry":
			if (isset($_POST['reaction'])){
				$reaction = mysqli_real_escape_string($db,$_POST['reaction']);
			} else {
				$reaction = NULL;
			}
			switch($reaction) {
				case "leaveUnchanged": // keine Veränderung vornehmen
					$page->goToPage($goToPageURL);
					break;
				case "updatePriority":  // Dringlichkeit updaten
					$oldListEntry->setPriorityID($priorityID);
					$oldListEntry->updateDB();
					$page->goToPage($goToPageURL);
					break;
				case "updateAnnotation": // Bemerkungen updaten
					$oldListEntry->setAnnotation($listEntry->getAnnotation());
					$oldListEntry->updateDB();
					$page->goToPage($goToPageURL);
					break;
				case "mergeToNewEntry": // ergänzt einen bereits bestehenden Listeneintrag
					$oldListEntry->setAmount(intval($_POST['merge_amount']));
					$oldListEntry->setMeasureID($mergeMeasureID);
					$oldListEntry->setPriorityID($priorityID);
					$oldListEntry->setAnnotation(mysqli_real_escape_string($db,$_POST['merge_annotation']));
					$oldListEntry->updateDB();
					$page->goToPage($goToPageURL);
					break;
				case "MergeAllToNewEntry": // ersetze alle Listeneinträge gleichen Typs durch einen einzigen Eintrag
					$listEntry->setAmount(mysqli_real_escape_string($db,$_POST['mergeAll_amount']));
					$listEntry->setMeasureID($mergeMeasureID);
					$listEntry->setAnnotation(mysqli_real_escape_string($db,$_POST['mergeAll_annotation']));
					$listEntry->setPriorityID($priorityID);				
					$deleteIDs = $db->real_escape_string($_POST['ListEntryIDsOfSameName']);
					$deleteIDs = explode("@@",$deleteIDs);			
					$listEntry->deleteByIDs($deleteIDs);
					$listEntry->addToDB();
					$page->goToPage($goToPageURL);
					break;
				case "addAsNewMeasure": // wird neu hinzugefügt
					$listEntry->addToDB();
					$page->goToPage($goToPageURL);
					break;
			}
			break;
	}
?>